# Configuration file

##########################################################################################################
# biomes
#--------------------------------------------------------------------------------------------------------#
# Biome ID and weight settings. These do not disable the respective blocks, go to blocksitems.cfg to disable their blocks. Nether biomes can currently only be enabled via experiments.cfg
##########################################################################################################

biomes {
    # Set to -1 to disable the generation of Basalt Deltas. To use an ID above 255, EndlessIDs is required. [range: -1 ~ 65536, default: 203]
    I:basaltDeltasID=183

    # How likely the Basalt Deltas biome should generate compared to other Nether biomes. [range: 1 ~ 127, default: 10]
    I:basaltDeltasWeight=10

    # Set to -1 to disable the generation of Crimson Forests. To use an ID above 255, EndlessIDs is required. [range: -1 ~ 65536, default: 200]
    I:crimsonForestID=180

    # How likely the Crimson Forest biome should generate compared to other Nether biomes. [range: 1 ~ 127, default: 10]
    I:crimsonForestWeight=10

    # How likely the Nether Wastes biome should generate compared to other Nether biomes. [range: 1 ~ 127, default: 30]
    I:netherWastesWeight=30

    # Set to -1 to disable the generation of Soul Sand Valleys. To use an ID above 255, EndlessIDs is required. [range: -1 ~ 65536, default: 202]
    I:soulSandValleyID=182

    # How likely the Soul Sand Valley biome should generate compared to other Nether biomes. [range: 1 ~ 127, default: 10]
    I:soulSandValleyWeight=10

    # Set to -1 to disable the generation of Warped Forests. To use an ID above 255, EndlessIDs is required. [range: -1 ~ 65536, default: 201]
    I:warpedForestID=181

    # How likely the Warped Forest biome should generate compared to other Nether biomes. [range: 1 ~ 127, default: 10]
    I:warpedForestWeight=10
}


##########################################################################################################
# client
#--------------------------------------------------------------------------------------------------------#
# Client-side only effects.
##########################################################################################################

client {
    # Heart Damage Indicator [default: true]
    B:enableDmgIndicator=true
}


##########################################################################################################
# generation
#--------------------------------------------------------------------------------------------------------#
# Generation settings.
##########################################################################################################

generation {
    # What dimensions should we ban amethyst geodes from generating in?
    I:amethystDimensionBlacklist <
        0
        2
        3
        4
     >

    # Treat the amethyst dimension blacklist as a whitelist instead, so geodes will ONLY generate in those dimensions, instead of excluding those dimensions from generation. [default: false]
    B:amethystDimensionBlacklistAsWhitelist=true

    # Max Y level amethyst geodes should attempt to generate at [range: 6 ~ 245, default: 46]
    I:amethystMaxY=46

    # Use a namespaced ID, + optionally meta (max 15) to choose the block that makes up the middle layer of amethyst geodes.
    # If the chosen block does not exist then amethyst geodes will not generate. [default: etfuturum:calcite]
    S:amethystMiddleBlockID=etfuturum:calcite

    # Use a namespaced ID, + optionally meta (max 15) to choose the block that makes up the outer layer of amethyst geodes.
    # The outer layer was formerly "etfuturum:tuff" before it was changed in later 1.17 snapshots. Netherlicious smooth basalt is "netherlicious:BasaltBricks:6"
    # If the chosen block does not exist then amethyst geodes will not generate. [default: etfuturum:smooth_basalt]
    S:amethystOuterBlockID=etfuturum:smooth_basalt

    # How rare should amethyst geodes be? 1/x chance per chunk, 1 means a geode attempts to appear every chunk [range: 1 ~ 127, default: 53]
    I:amethystRarity=53

    # Whether bamboo should naturally spawn in the overworld. Turning this off allows you to use bamboo based blocks without bamboo world gen for mod compatability. [default: true]
    B:bambooWorldgen=true

    # 0 = Budding amethyst cannot be obtained at all even with silk touch. When using this option, attempting to push them using a piston will break it.
    # 1 = Budding amethyst will drop if you use a silk touch pickaxe.
    # 2 = Budding amethyst does not need silk touch, just a pickaxe. [range: 0 ~ 2, default: 0]
    I:buddingAmethystMode=1

    # How rare should cherry trees be? 1/x chance per chunk, 1 means a tree attempts to appear every chunk. 0 = no cherry trees. They will spawn in mountain-type biomes. [range: 0 ~ 127, default: 72]
    I:cherryTreeRarity=72

    # Max vein size for copper ore blocks in a cluster [range: 0 ~ 64, default: 8]
    I:copperClusterSize=8

    # The max vein size for the second, typically bigger debris veins, which generate from Y 8 to 22 [range: 0 ~ 64, default: 3]
    I:debrisMax=3

    # If deepslateGenerationMode is set to 1, this value is used to determine how big the clusters are. Otherwise this value is unused. [range: 0 ~ 128, default: 64]
    I:deepslateClusterSize=64

    # If 0, deepslate replaces all stone below the specified value, with a shattering effect near the top similar to bedrock. If 1, it generates in clusters using the deepslate cluster settings. -1 disables Et Futurum deepslate generation entirely. [range: -1 ~ 1, default: 0]
    I:deepslateGenerationMode=0

    # The dimensions the deepslate layer (deepslate generation mode 0) should not spawn in. Does nothing if other deepslate generation modes are used.
    I:deepslateLayerDimensionBlacklist <
        0
        2
        3
        4
     >

    # Treat the deepslate layer dimension blacklist as a whitelist instead, so it will ONLY generate in those dimensions, instead of excluding those dimensions from generation. [default: false]
    B:deepslateLayerDimensionBlacklistAsWhitelist=true

    # How high up deepslate and tuff goes. If deepslateGenerationMode is 0, all stone up to this y level (with a scattering effect a few blocks before then) are replaced with deepslate. If it's 1, the patches can generate to that Y level. [range: 0 ~ 255, default: 22]
    I:deepslateMaxY=35

    # Whether or not Deepslate will overwrite dirt (Only works when deepslate generation mode is set to 0) [default: true]
    B:deepslateReplacesDirt=true

    # Whether or not Deepslate will overwrite granite, diorite, andesite (Only works when deepslate generation mode is set to 0) [default: true]
    B:deepslateReplacesStones=true

    # Can ancient debris generate next to air? [default: false]
    B:enableAirDebris=false

    #  [default: true]
    B:enableAmethystGeodes=true

    # Replaces coarse dirt in biomes it (dirt:1) generates in such as shattered savannas or mesa plateaus. [default: true]
    B:enableCoarseDirtReplacement=true

    # Generate 20 more veins of gold ore from Y 32 to Y 80 in any Mesa biome. [default: true]
    B:enableExtraMesaGold=true

    #  [default: true]
    B:enableFossils=true

    # Generates extra mineshafts in mesa biomes up to y80. If fences are enabled, dark oak wood is used. [default: true]
    B:enableMesaMineshaft=true

    # Note: Ocean monuments currently do not have guardians [default: true]
    B:enableOceanMonuments=true

    # Use a namespaced ID, + optionally meta (max 3) to choose the block that makes up fossils. The max meta is 3 because the rotations will change the meta. North/South is the meta + 4 and East/West is + 8.
    # Netherlicious bone block is "netherlicious:BoneBlock" and UpToDate bone block is "uptodate:bone_block".
    # If the chosen block does not exist then fossils will not generate. If Netherlicious is installed, its bone block will be used if this is set to "etfutrum:bone" and Et Futurum Requiem bone blocks are disabled. [default: etfuturum:bone]
    S:fossilBlockID=etfuturum:bone

    # The dimension IDs of the dimensions the fossil structures should not spawn in. Fossils will also not spawn in any dimension that is not an instance of WorldProviderSurface
    I:fossilDimensionBlacklist <
     >

    # Treat the fossil dimension blacklist as a whitelist instead, so fossils will ONLY generate in those dimensions, instead of excluding those dimensions from generation. [default: false]
    B:fossilDimensionBlacklistAsWhitelist=false

    # Max vein size for magma blocks in a cluster [range: 0 ~ 64, default: 33]
    I:maxMagmaPerCluster=33

    # Max vein size for nether gold ore blocks in a cluster [range: 0 ~ 64, default: 10]
    I:maxNetherGoldPerCluster=10

    # Max vein size for Granite/Andesite/Diorite blocks in a cluster [range: 0 ~ 64, default: 32]
    I:maxStonesPerCluster=0

    # The dimensions the deepslate layer (deepslate generation mode 0) should replace ALL stone in, rather than adhering to the deepslateMaxY limit. Does nothing if other deepslate generation modes are used. Useful if you have a mod that adds more "layers" to the overworld, for example.
    I:replaceAllStoneWithDeepslateDimensionWhitelist <
     >

    # The max vein size for the first, typically smaller debris veins which generate from Y 8 to 119 [range: 0 ~ 64, default: 2]
    I:smallDebrisMax=2

    # Max vein size for tuff blocks in a cluster [range: 0 ~ 64, default: 32]
    I:tuffClusterSize=32
}


##########################################################################################################
# miscellaneous
#--------------------------------------------------------------------------------------------------------#
# For things that affect the world but don't belong in any other category.
##########################################################################################################

miscellaneous {
    # Enables the old husk spawning logic. Instead of replacing 80% of zombies exposed to the sky in the right biomes, they'll reduce the spawn rate of normal zombies and spawn anywhere in the correct biomes.
    # OptiFine breaks the sky-exposure behavior so this option will be forced on when OptiFine is detected. [default: false]
    B:oldHuskSpawning=false

    # Enables the old stray spawning logic. Instead of replacing 80% of skeletons exposed to the sky in the right biomes, they'll reduce the spawn rate of normal skeletons and spawn anywhere in the correct biomes.
    # OptiFine breaks the sky-exposure behavior so this option will be forced on when OptiFine is detected. [default: false]
    B:oldStraySpawning=false

    # Replace old Brewing Stands/Enchanting Tables/Daylight Sensors/Beacons with new one on the fly.
    # -1 = Disabled, no conversion even if the replacement tile entities are on
    # 0 = Convert the vanilla tile entities to their Et Futurum versions
    # 1 = Convert Et Futurum replacement tile entities back to default ones. Useful if you want to turn those off. [range: -1 ~ 1, default: 0]
    I:tileReplacementMode=0
}


